MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029949Open CASCADE[OCCT] OCCT:DRAWpublic2018-07-11 17:412018-07-30 10:09
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029949: Draw Harness - simplify vtriangle command implementation
DescriptionCurrent implementation of vtriangle command creates a presentation using TKMesh algorithm. This looks unnecessary and produces unexpected results (e.g. order of points in drawn triangles does not match order of vtriangle arguments).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0077462)
git (administrator)
2018-07-11 17:54

Branch CR29949 has been created by kgv.

SHA-1: 4b3fe90758672bc8eb1dd123280da160a23dc348


Detailed log of new commits:

Author: kgv
Date: Wed Jul 11 17:50:39 2018 +0300

    0029949: Draw Harness - simplify vtriangle command implementation
    
    vtriangle and vsegment commands now share presentation created by vdrawparray command.
    
    Added missing accessors to Graphic3d_ArrayOfPrimitives properties
    VertexNumberAllocated(), EdgeNumberAllocated() and BoundNumberAllocated().
(0077463)
kgv (developer)
2018-07-11 17:55

Patch is ready for review.
(0077860)
san (developer)
2018-07-20 19:22

Branch CR29949 reviewed without remarks.
(0077931)
bugmaster (administrator)
2018-07-23 17:04

Combination -
OCCT branch : CR29949 SHA - 4b3fe90758672bc8eb1dd123280da160a23dc348
Products branch : master SHA - 49c228d5213fed6561994d0148827917539e38c8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17160.600000000017 / 17169.739999999776 [-0.05%]
Products
Total CPU difference: 7462.330000000015 / 7501.920000000043 [-0.53%]
Windows-64-VC10:
OCCT
Total CPU difference: 16892.396683898398 / 16852.39802749857 [+0.24%]
Products
Total CPU difference: 8253.373305899884 / 8212.11104139987 [+0.50%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078147)
git (administrator)
2018-07-28 12:39

Branch CR29949 has been deleted by inv.

SHA-1: 4b3fe90758672bc8eb1dd123280da160a23dc348

- Related Changesets
occt: master 9427bc1d
Timestamp: 2018-07-11 14:50:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029949: Draw Harness - simplify vtriangle command implementation

vtriangle and vsegment commands now share presentation created by vdrawparray command.

Added missing accessors to Graphic3d_ArrayOfPrimitives properties
VertexNumberAllocated(), EdgeNumberAllocated() and BoundNumberAllocated().
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-11 17:41 kgv New Issue
2018-07-11 17:41 kgv Assigned To => kgv
2018-07-11 17:54 git Note Added: 0077462
2018-07-11 17:55 kgv Note Added: 0077463
2018-07-11 17:55 kgv Assigned To kgv => san
2018-07-11 17:55 kgv Status new => resolved
2018-07-20 19:22 san Note Added: 0077860
2018-07-20 19:22 san Assigned To san => bugmaster
2018-07-20 19:22 san Status resolved => reviewed
2018-07-23 17:04 bugmaster Note Added: 0077931
2018-07-23 17:04 bugmaster Status reviewed => tested
2018-07-28 12:26 bugmaster Changeset attached => occt master 9427bc1d
2018-07-28 12:26 bugmaster Status tested => verified
2018-07-28 12:26 bugmaster Resolution open => fixed
2018-07-28 12:39 git Note Added: 0078147
2018-07-30 10:09 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker